commit 985a3a70918038bf2569e0a5ebe3fa14d720e4de
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 14 13:51:36 2019 -0700

    xwininfo 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1a50edf62c9511a2bee8b7cc3b72e5185f7b593f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 10:21:39 2019 -0700

    Clear -Wsign-compare warnings from gcc 7.3
    
    dsimple.c: In function ‘recursive_Window_With_Name’:
    dsimple.c:298:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
       if ((namelen == prop_name_len) &&
                    ^~
    dsimple.c:336:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
       if ((namelen == prop_name_len) &&
                    ^~
    dsimple.c:371:19: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i = 0; i < nchildren; i++) {
                       ^
    dsimple.c:380:19: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i = 0; i < nchildren; i++) {
                       ^
    dsimple.c:390:32: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      for (/* keep previous i */; i < nchildren; i++) {
                                    ^
    dsimple.c: In function ‘Get_Atom’:
    dsimple.c:616:17: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if (a->atom == -1) /* internal error */
                     ^~
    
    xwininfo.c: In function ‘wm_size_hints_reply’:
    xwininfo.c:730:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if (length > sizeof(wm_size_hints_t))
                    ^
    xwininfo.c: In function ‘Display_Event_Mask’:
    xwininfo.c:1229:33: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (bit=0, bit_mask=1; bit < sizeof(long)*8; bit++, bit_mask <<= 1)
                                     ^
    xwininfo.c: In function ‘wm_hints_reply’:
    xwininfo.c:1633:16: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if (length > sizeof(wm_hints_t))
                    ^
    xwininfo.c: In function ‘is_valid_utf8’:
    xwininfo.c:1843:19: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i = 0; i < len; i++) {
                       ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58213a0cd39dc4ba044f48fab52ed3256ab9a9bd
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Wed Jul 3 00:29:17 2013 +0200

    Improve manpage and -h option
    
     - Rename windows and display args.
     - Mention of short (-d) -display option.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d19200c0b0ff638edbb16555e711d2353625bd4a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:21:49 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 015b29ca761102c95c722928557336e101a4a6e1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 23:32:24 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8c9f340421883f659b820214ddf8a21d5022a3a
Author: David Hill <dhill@mindcry.org>
Date:   Wed Dec 11 04:05:19 2013 +0000

    In Find_Client, if (win == XCB_WINDOW_NONE), roots should be freed.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=72583
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 919665db8ceb8e2c38a1a4ce4686eb224ddf5234
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 20:41:31 2018 -0800

    xwininfo 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e3c764b14da65c5d3afcd19f920705b397aa765c
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 4edd69d5f9abd111e6b52f600696f84e023f6249
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 30488a8c7ef5f24ce445a268b168a9a5646b9f7d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 0c49f8f2bd56b1e77721e81030ea948386dcdf4e
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Tue Jan 6 11:57:33 2015 +0100

    xwininfo: do not segfault on IO error
    
    If the connection to the X server is lost while waiting for
    the user to select a window interactively, xwininfo segfaults.
    
    This is a regression introduced with the port to XCB, because
    xcb_wait_for_event() can return NULL in case of an IO error and
    xwininfo does not check for the actual returned value.
    
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 017b3736489985999d8dcf4d9e473e1fd6dd3647
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 23:58:54 2014 -0700

    Add -version option to print program version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d41d834d8b2be86eb56802de12c2399c7ff0919f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 23:56:08 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d5417f2eb09e7061801f63ce77e3441d80e5e4a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 301f9c7970548539a2679cc3e354680a60733a68
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba0d1b0da21d2dbdd81098ed5778f3792b472e13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 17 21:04:26 2013 -0700

    xwininfo 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e60a26559221e561770710a8c4ed0b8ebc31afb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 13:52:08 2013 -0800

    Quiet some clang warnings about implicit int <-> size_t conversions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7b55bdf674fc790e879a2e25ef83925dd8379d6
Author: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
Date:   Tue Oct 9 20:33:10 2012 -0700

    xwininfo: report the Visual class of the selected Window
    
    Not of the root window.
    
    Signed-off-by: Pierre-Loup A. Griffais <pgriffais@nvidia.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit aedc2ecc4de61211f5f6b8f27bd8681d0ab744dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 14:05:18 2012 -0700

    Print more detailed error messages when xcb_connect fails
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 4176bffd0261d7734617dc73ae6013e86dbb841d
Author: David Venz <david.venz@gmail.com>
Date:   Sat Aug 25 12:06:22 2012 -0700

    Bug 53242 - xwininfo segfaults on invalid screen
    
    Check number of screen entries before iterating past the end of the list
    
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53564df46e7f8e443c46b00080ea46c878c34263
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Sun Aug 26 00:07:52 2012 +0200

    Get rid of a number of warnings.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1279ed652f9f3408211c78b7bf8a0aef6b8488df
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat Aug 25 12:16:29 2012 -0700

    Remove dead code (size_t is always >= 0)
    
    xwininfo.c:1886:15: warning: comparison of unsigned expression < 0 is always false [-Wtautological-compare]
        if (inlen < 0) {
            ~~~~~ ^ ~
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit fa40ecdfb5cd068ba531b4439df5bbf660469d3a
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat Aug 25 12:15:02 2012 -0700

    Declare usage() as _X_NORETURN
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 5037f79e8f6a36d3c524a2dd8150cf96c31b7106
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 09:48:54 2012 -0500

    configure.ac: regroup statements and comment
    
    Add missing AC_CONFIG_SRCDIR([Makefile.am])
    
    Move AC_USE_SYSTEM_EXTENSIONS higher up in Autoconf init section
    which must come before XORG_DEFAULT_OPTIONS
    
    Move XORG_DEFAULT_OPTIONS to its usual place with X.Org macros
    Note that AC_FUNC_STRNLEN calls AC_REQUIRE(AC_USE_SYSTEM_EXTENSIONS)
    
    Comment the strnlen function replacement.
    http://pubs.opengroup.org/onlinepubs/9699919799/functions/strlen.html
    
    No functional changes. Following the layout in
    http://www.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 19a7184f76ee3c17586ad65a8424966dde5b91c3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 20 20:14:05 2012 -0500

    Revert "make: remove $(LIBOBJS) dead code"
    
    AC_FUNC_STRLEN is one of the functions that call AC_LIBOBJ
    which sets $LIBOBJ.
    
    This reverts commit 3f3606b0e8de8f38f467126f07277e33a9285e53.

commit 3f3606b0e8de8f38f467126f07277e33a9285e53
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 20 15:10:15 2012 -0500

    make: remove $(LIBOBJS) dead code
    
    Starting at Autoconf 2.53, the use of LIBOBJS is an error.
    http://www.gnu.org/software/autoconf/manual/autoconf.html#
    AC_005fLIBOBJ-vs-LIBOBJS
    
    There are no system functions to override in this module.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 42d2c1e32167a33c0f2de04cea0c7bb8001dbe43
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 07:04:38 2011 +0200

    Use format string literals instead of variables to print atom names
    
    This allows the compiler to check the format against the argument types.
    
    Signed-off-by: Guillem Jover <guillem@hadrons.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ce8a54e75248164e17626c0866adbd636e42a7b
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 07:03:30 2011 +0200

    Refactor atom name printing into a new Display_Atom_Name function
    
    Signed-off-by: Guillem Jover <guillem@hadrons.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c1b6da1bc7e5ba715bbea52a24449cc91c26dfb3
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 07:04:38 2011 +0200

    Use format string literals instead of variables to print window ids
    
    This allows the compiler to check the format against the argument types.
    
    Signed-off-by: Guillem Jover <guillem@hadrons.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d11e467728a7c7cb7b5b7a8e07cd543172c20aa1
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 05:40:45 2011 +0200

    Move leading ": " out from buffer to the error string printer
    
    Besides slightly reducing the binary size, this will be helpful when/if
    i18n support is added to translate the strings.
    
    Signed-off-by: Guillem Jover <guillem@hadrons.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73bb1135d599d8a55e883bd61619707ede658717
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:16:52 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 23fc2d9c1cc91ac902ebf05dcbaa6062ff8f0dcc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 21:14:37 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1410b0f0a9d50973ebfdcc696994ccbd91cea3ae
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Aug 24 23:08:58 2011 -0500

    Use AM_ICONV
    
    AC_SEARCH_LIBS does not detect GNU libiconv because its symbols are
    exported in the "libiconv" namespace instead of "iconv".  The AM_ICONV
    macro correctly detects both glibc and GNU libiconv, defines HAVE_ICONV,
    ICONV_CONST, and LIBICONV depending on the system.  The config.rpath
    file is required by this macro.
    
    This adds a dependency on the aclocal macros from gettext (gettext-devel
    in some distros) when building from git, but not when building from a
    tarball.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c58b461a84a8e75c53ce863470a5c8d8201261b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:25:38 2011 -0700

    xwininfo 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7cdc6223e7d7f79050df680d3b6d06653d75dd46
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 17 21:44:39 2011 -0700

    Update to xcb-icccm 0.3.8 API
    
    Changes all names to the xcb_icccm_* namespaced versions.
    Requires xcb-icccm 0.3.8 (from new xcb-util-wm package) if used.
    Still disabled by default, only enabled with --with-xcb-icccm
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 456b0fafa73f1227adf07ee924b316cbf9fe83cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 7 23:00:06 2011 -0700

    When matching window names, ensure name lengths match too
    
    Prevents strncmp returning on partial matches when one is shorter.
    https://bugs.freedesktop.org/show_bug.cgi?id=37710
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit ee3b33c9e757b8d7f9f4c9761f3c66826adc4f59
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:57 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 584ab8bd1cb267510d8966357aaab100fac575be
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:48 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0d00fa84560e5fbf09f2674078e205243f51787a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 65fe1630ad2cabdb9bf46333925aabdc7f61dc06
Author: Tim van der Molen <tbvdm@xs4all.nl>
Date:   Sun Jan 9 18:21:30 2011 +0100

    Fix for invalid free if window has a _NET_WM_NAME property.
    
    In this case xcb_get_wm_name_reply() is not called, so reorganize the
    code to not free a result which never was allocated.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 064e52f367a2b55e6c32c778684da946c319ca81
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 20:27:10 2011 -0800

    xwininfo.c:282: warning: no previous prototype for 'usage'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98d5614d4688013e2fe7447eab723e0a43ee27b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:58:33 2010 -0700

    xwininfo 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca6412a29ec5b7b646b8a48bac940af2762ed54d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:53:28 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a3003dcd0737c721e8f35953a5871a50209b5d4
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Oct 21 12:59:11 2010 +0200

    Work around xcb_translate_coordinates sign bug
    
    xcb_translate_coordinates_reply_t has unsigned dst_{x,y}, so explicitly
    cast them to int16_t to get the right values.
    Reported on irc by frostwork.
    
    xcb-proto was fixed in commit 661fe8dd.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ec65f24a0abaaf6ec1a0c930fc79b3fc5e1baf6
Author: Tomas Chvatal <scarabeus@gentoo.org>
Date:   Mon Sep 27 14:56:14 2010 +0200

    Fix build error when building --with-xcb-icccm
    
            xwininfo.c:633:34: error: incompatible types when assigning to type xcb_get_property_cookie_t from type int
    
    Signed-off-by: Tomas Chvatal <scarabeus@gentoo.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aac89e8e81faca5d6eb830cd65591619a26ec17a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 18:35:40 2010 -0700

    xwininfo 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit abcf5e76c7dfc951832fda6845ace426b9ddebce
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 18:30:08 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b6c84ba0aab5b95883a4f5759ec100b387314ec5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8263f19cf9002c7b5f2967a2bde7af4ed117c1e5
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Jul 10 10:19:14 2010 -0700

    strnlen: Fix building on systems without strnlen(3)
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3fa31068bcae6a5bee7fbd41788e13d6d56da8c0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 18:38:57 2010 -0700

    Make iconv() usage optional
    
    Allows building without iconv, though character set conversion will not
    be supported in that case.
    
    Handles UTF8_STRING validation and output for UTF-8 locales without iconv
    (using is_valid_utf8() function copied from X.Org's app/xprop/xprop.c)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 6a4f77d4ac1737dd49f3462d98e0f7e41e50ab18
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 29 22:51:38 2010 -0700

    Add some EWMH hints to the -wm output
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit baf759d33b4b360fef2b2c61094ef109bec708fa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 29 17:56:07 2010 -0700

    Handle non-latin-1 window names
    
    Uses _NET_WM_NAME to get UTF-8 encoding, iconv to convert to current locale
    Warns that COMPOUND_TEXT WM_NAMEs aren't supported if _NET_WM_NAME isn't set
    Adds local atom caching code to dsimple.c and uses it in all three *.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 6ec3573d7876fa62d2a81057ce0d16ed328fad1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 25 21:41:21 2010 -0700

    Make xcb-icccm dependency be optional and off-by-default
    
    Changes to the xcb-icccm API/ABI are under discussion, so for now default
    to using local property handling code modeled after the current API, with
    a --with-xcb-icccm to enable use of the API for testing/development.
    
    Once the API/ABI is stable & released, this set of changes should be
    removed and the xcb-icccm API just used directly.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 96f19bade9ce4940642d580f4c52e2bc0e3539ab
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 13 12:42:34 2010 -0700

    Convert from Xlib to xcb
    
    Testing was done with a simple GNOME 2.28 session with a number of
    applications open (gnome-terminal, VirtualBox, Firefox).
    
    Primary test case was xwininfo -root -all, which listed 114 children of
    the root window.   Output was identical to Xlib version (after applying
    the fix to libxcb_icccm for always null-terminating wm_class properties).
    
    Over a local connection on the same machine:
    
    Xlib:   0.00u 0.01s 0:00.05 20.0%
    xcb:    0.00u 0.00s 0:00.02 0.0%
    
    (i.e. barely measurable difference - I had more variation between
     repeated runs of the command)
    
    Introducing latency by running over ssh -X from California to Beijing
    and back:
    
    Xlib:   0.03u 0.02s 8:19.12 0.0%
    xcb:    0.00u 0.00s 0:45.26 0.0%
    
    Memory size when exit() is called:
    
    Xlib:
     Address  Kbytes     RSS    Anon  Locked Mode   Mapped File
    08043000      20      20      20       - rw---    [ stack ]
    08400000     144     144     144       - rw---    [ heap ]
    total Kb    8972    8640     316       -
    
    xcb:
     Address  Kbytes     RSS    Anon  Locked Mode   Mapped File
    08045000      12      12      12       - rwx--    [ stack ]
    0806C000     100     100     100       - rwx--    [ heap ]
    total Kb    7980    7692     288       -
    
    Bytes sent & received (counted by proxying via xscope):
    
    Xlib: Client --> Server: 21380 bytes   Client <-- Server:  54124 bytes
    xcb:  Client --> Server: 21114 bytes   Client <-- Server:  53160 bytes
    
    (The Xlib code didn't save any replies, so re-requested a couple of things
     when running with -all - I fixed that while porting to xcb, but the same
     could be done with Xlib easily too.)
    
    Not yet handled: WM_NAME properties that need to be converted from another
    character encoding.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 123ff05c2e2bbdb9d7d6d958d9f096cf854b8360
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 7 01:00:33 2010 -0700

    Delay generating unknown code string until we know we need it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 369c37a62cdd2841a3e8778674029841231f45ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 16:57:22 2010 -0700

    Use _X_NORETURN from xproto 7.0.17
    
    Also throw in _X_ATTRIBUTE_PRINTF while we're here.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c72551c9e8805d44ee76f6723cada6843657031b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 16:06:07 2010 -0700

    Make spacing more consistent
    
    Different functions had 2, 4, 6, or 8 spaces per indent level,
    standardized on 4 spaces.   Also more consistenly put spaces before parens.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6001e8721f232aa1f8b584d903edcea148b0ebc5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 14:16:39 2010 -0700

    Remove #ifdef NO_I18N code branches
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 44a6d871e2baec9724f131778887c834133a4dc5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 14:12:24 2010 -0700

    Remove RCS/CVS id tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98bb85ea5fd3e2b5e077d89c6bf6e16b8829481a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 14:11:13 2010 -0700

    mark window_id_format as a const string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 725c5bbb58e6fb2c8775512d194367e3d677ee43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 6 14:05:53 2010 -0700

    Collapse some series of multiline printfs into single strings/calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 969b179b3bfe2dd11f3426fc30cab3ac337b84d5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:10:39 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b0c1a61df072c92db646257b1048798df0f1c64d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:55 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 414b61fcc45836ea0739b32abd0eff8c4a863f8d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 458d8ae3b990c64630b0ca56f88a2955c9470681
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit dd4df8d8ec6a4cb34af8ddfd65277ae602d6cdc8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d245ffee6e947b275b21a7a47716410c41154d4a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 15:41:05 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit a61af405625b9a284497d7b4e56ef9719d3ae14f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:22 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 1569f4d692443bf0658dbe12902f995693b13dcf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 16:08:57 2009 -0700

    xwininfo 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 28b34ed17506540a793a85e03c01a7b4d9aa3588
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 16:06:55 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b6837aadf7a2c30fb8c2c811d45c48047e0769e8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 15:58:09 2009 -0700

    Fill in COPYING file
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 98ac096e2edae243ce2119fb70112c3c6b2bb688
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:32 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 347ba641db84c66cd332f398423e87a882580575
Author: Yann Droneaud <ydroneaud@mandriva.com>
Date:   Fri Mar 27 16:41:00 2009 +0100

    Update manpage for visual id
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit ee03cf70e9e92d0e9adebaddc6b065de496cc561
Author: Yann Droneaud <ydroneaud@mandriva.com>
Date:   Fri Mar 27 16:35:14 2009 +0100

    Report visual id along visual class for -stat switch
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit a42690b24d828ec4cfae1bf40cac08f07c6202af
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 15 14:27:14 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and most gcc 4.3 and sparse warnings.

commit 67a74f540cdbb7ded7aa44c751f5f0c8833c688f
Author: Branden Robinson <branden@debian.org>
Date:   Fri Feb 11 02:14:27 2005 -0500

    Do not spew usage on connection error
    
    General philosophy:
    
    The user should only be shown a usage message when:
      * it is asked for with a --help option or the like.
      * the command line is syntactically invalid.

commit b8115ee0e43c6c03025cad72219481e3fdb119d4
Author: James Cloos <cloos@jhcloos.com>
Date:   Sun Jun 29 10:49:33 2008 -0400

    xwininfo 1.0.4

commit c229611bcb7ee94bea5c075f5e15447e14c0f6ce
Author: Kim Woelders <kim@woelders.dk>
Date:   Sun Jun 22 01:12:13 2008 -0400

    Fix window selection by pointer.
    
    This should fix things in WM’s using virtual roots as well as in tabbing WM’s.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit b7e88cd9d28a3d3e467b769f3efe87f7c2f4c0a5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 14:20:35 2007 -0700

    Version bump: 1.0.3

commit 56f0b5dfb1486e262eb514fac44c73cea4bb4471
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 27 14:20:02 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit c8d205c30547ca526404a0b257c3cc5d40970be6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 7 15:50:13 2007 -0700

    Add static & const qualifiers to xwininfo.c

commit 77d50c0bf824f847bd9ede30c21618845258de76
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 7 15:38:23 2007 -0700

    Replace sprintf's with snprintf & strlcat

commit 118bd50a9bbc10cab7846fb6ac1a0d25ba4c3422
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 6 19:52:13 2007 -0700

    dsimple.c: ANSIfy function declarations

commit e093e4be56bb2be385a972962cf89f234e987ab4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 6 19:44:24 2007 -0700

    Purge unused code from dsimple.c
    
    dsimple.c was originally shared source among several X apps.
    Since modularization gave each app it's own copy, much of the code is
    no longer needed in each app.

commit 59bbe12a40fdb3d39429d0d0ce809ad28116e7ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 6 19:18:57 2007 -0700

    Rename xwininfo_CFLAGS to AM_CFLAGS to make automake-1.10 happier
    
    Makefile.am:27: compiling `dsimple.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 5a251886c0f158f4c8a342b6fbdeebf3dbd1c0fd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:20:11 2007 -0700

    Man page formatting: make -geometry bold like other options

commit 07459b14b36f15cfdfc6384019aaf020c7920cd4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:17:28 2007 -0700

    renamed: .cvsignore -> .gitignore

commit 24fc2a569df9eaa776bcdddbb26bf4ea97b69d13
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 24 18:16:53 2007 -0700

    X.Org bug #10616: Add all the X info commands to See Also in man page
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #350313 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350313>

commit 412a3232373131634072df0d0b4843abf360def4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 01:19:53 2006 +0000

    Bump to 1.0.2.

commit 8d62050702532be39688d468663466199492510b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Mar 10 02:37:18 2006 +0000

    Clear two tiny memory leaks. (Coverity ids #900 & 901)

commit 609828be5a05bc71fffaf8fc129a0cae8082fd57
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:55 2005 +0000

    Update package version for X11R7 release.

commit a4169ffa7eb6eb9a28fd64a0686a813da975736c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:48 2005 +0000

    Stub COPYING files

commit b9403df95678e568a326fe3f37bf29285a6a211e
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:12 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 6f9523999cc4eb34accfe0bcc2c7a74bae9259ef
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:27 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 28c0455ea50bdf37f1d9d53c6756beebed429f0e
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:29 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 988471c67e10a5ca309b90146b37a6037f5b2efc
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:48 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 4496e95380b2f0ad7e9bdca02ec192dbb6d5e2e5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:09 2005 +0000

    Another pass at .cvsignores for apps.

commit 296d8e6ab8a86e5653529d0497ca5751d89f23b5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 21 03:14:17 2005 +0000

    Change dependency from xmu to xmuu since the full xmu (with all its baggage
        like Xt) is not needed here.

commit 27898506332f1a4e698cbd65aecc47fdbc6d0a7b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:56 2005 +0000

    Add/improve .cvsignore files for apps.

commit ee7bf4989434ba5f30451c3f07e4a6e01e6532d4
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:38 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 4e58b0e12d46503c5f75ead9a859694aafd5b9b7
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:58 2005 +0000

    Update package version number for RC1 release.

commit fc097904a8d7ded9a60df35fd58b9f5b5e226e17
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:25 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 22feb546d5bf499ec0bc726c60a6c46f2e2cbd1c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:48 2005 +0000

    Use sed to fill in variables in man page

commit 9b1a4cbaf609bb102adec047934ad4c1b05f01ab
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:33 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 70ed22f5e63d5759a0b7c6574a92d124c0777562
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:39 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 270145dc0f3ad5c7ad7d6086da19c0a25ea853a9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:05 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 97aa768841e147fde3cf16ba9a4c852358085d27
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jul 8 21:00:46 2005 +0000

    Build system for xwininfo

commit 5cd08344c43c739c9a6837f1a60ae7c42e5afabe
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Oct 6 19:29:59 2004 +0000

    Fix for https://freedesktop.org/bugzilla/show_bug.cgi?id=1518 - Add filter
        support to "xlsfonts" that it can filter builtin-, glyph- and/or other
        kinds of printer fonts (controlled by the xp-listfonts-modes attribute
        as described in the CDE DtPrint and Xprint specifications).

commit ac7cc196b722ee4653326aee459f40ad16a260c1
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:55:09 2004 +0000

    Merging XORG-CURRENT into trunk

commit 43e099d499d4dbabb32ca0410175e0e1b814cd94
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:54 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit cd710399eb415673c180f65080d685ee8d149361
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:20 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 436a7ecb4b764394abcdd06fd99d6232c633cad1
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:32 2004 +0000

    readding XFree86's cvs IDs

commit 6dfbd3f819f10e4d04653df2074526860007968e
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:18 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit a2fa980ce0e98c2bbc503d1d9fe51ab539b7ea46
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:09:21 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit 429530ba6f7699436d6f789a17550ec1a691c675
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:23 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit be0f398fee08e03ab73ec0d580df688cc989fbaa
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:24 2003 +0000

    XFree86 4.3.0.1

commit 5e5a590668dc3ebe7e2cb568aad4c9c14021f2a2
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:55 2003 +0000

    R6.6 is the Xorg base-line
